<script lang="ts">
  import Card from "./Card.svelte";

  export let size: number;

  $: renderedSize = Math.min(7, size);
</script>

<div class="deck">
  {#each Array(renderedSize) as _, idx}
    <div
      class="deck-card"
      style={`
      position: absolute;
      transform: translate(${-idx * 1}px, ${-idx * 1}px);
    `}
    >
      <Card card={-idx} faceDown />
    </div>
  {/each}
</div>

<style>
  .deck {
    position: relative;
    height: 14em;
    width: 10em;
  }
</style>
